igeo.io

## Class IByteListOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - igeo.io.IByteListOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class IByteListOutputStream
      extends java.io.OutputStream

  Byte Output Stream keeping byte framgents as fragments never integrating into one buffer
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.ArrayList<byte[]>` | `bytes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IByteListOutputStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `length()`
    `byte[]` | `toByteArray()`
    `java.util.ArrayList<byte[]>` | `toByteList()`
    `void` | `write(java.util.ArrayList<byte[]> b)`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int i)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bytes

          java.util.ArrayList<byte[]> bytes

  - ### Constructor Detail

    - #### IByteListOutputStream

          public IByteListOutputStream()

  - ### Method Detail

    - #### write

          public void write(byte[] b)

      Overrides:
        `write` in class `java.io.OutputStream`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)

      Overrides:
        `write` in class `java.io.OutputStream`

    - #### write

          public void write(int i)

      Specified by:
        `write` in class `java.io.OutputStream`

    - #### write

          public void write(java.util.ArrayList<byte[]> b)

    - #### toByteList

          public java.util.ArrayList<byte[]> toByteList()

    - #### toByteArray

          public byte[] toByteArray()

    - #### length

          public int length()